################################################################################
# Let's start...
################################################################################
# Global defines:
# - this one below makes easy to build and install this pkg under
#   different versions of kernels
%define KERNEL_VERSION `uname -r`

################################################################################
# Definition of main pkg and subpkgs follow:
# National versions of Summary field. Only Polish as far.

Summary: Reporting tools for LM75/78 hardware monitor from LX/TX motherboards.
Summary(pl): Narzdzia raportujce wskazania monitora sprztowego LM75/78i dla pyt z chipsetami LX/TX.
Name:      txwd
Version:   0.0.6
Release:   5rh5
Copyright: GPL
Vendor:    Chris Benndorf <chrisb@ganzfix.duew.uunet.de> 
Group:     Utilities/System
Source0:   http://pweb.uunet.de/ganzfix.duew/txwd-0.0.6.tar.gz
Source1:   txwdd.init
URL:       http://pweb.uunet.de/ganzfix.duew/
Packager:  Marcin Woyniak <marcin@heban.com.pl>
BuildRoot: /var/tmp/txwd-%{PACKAGE_VERSION}-root
Exclusivearch: i386
Requires: glibc => 2.0.5   rpm => 2.5  txwd-module-XXX
%description
==============================================================================
                            >> ATTENTION!<<
* This is a very hardware dependent software. It works only with LX/TX chipsets
and LM78/75 hardware monitor module. Currently it works on ASUS TX97 mother-
boards only.

* You HAVE TO install only the one ``txwd-module-XXX'' depending on the type
(case of Intel P54C/P55C or IDT C6) or type/speed (case of AMD K5/6 or Cyrix M2)
of the processor in use!

==============================================================================

 These tools enable you to constantly monitor temperature of
processor and motherboard, state of chassis, CPU and power supply fans
(measured in RPM's) and finaly - voltages.

%description -l pl
==============================================================================
                               >> UWAGA!<<
* Te oprogramowanie jest bardzo zalene od rodzaju sprztu bdcego w uyciu.
  Pracuje tylko z chipsetami LX/TX i monitorem sprztowym LM78/75.
  Obecnie umoliwia wspprac tylko z pytami ASUS TX97.

* MUSISZ zainstalowa tylko jeden pakiet ``txwd-module-XXX'' w zalenoci od:
typu (w przypadku Intel P54C/P55C oraz IDT C6) lub typu/zegara (AMD K5/6 oraz
Cyrix M2) uywanego przez Ciebie procesora!

==============================================================================

Te narzdzia pozwalaj monitorowa temperatur procesora i pyty gwnej, stan
wentylatorw obudowy, CPU oraz zasilacza (podawny w obr/s) oraz - napicia
zasilajce.


################################################################################
# definitions of the subpackages

%package module-P54C
Summary: Harware dependant module for txwd tool - Intel P54C only!
Exclusivearch: i386
Group: Utilities/System
Conflicts: txwd-module-P55C txwd-module-K5PR133 txwd-module-K5PR166 txwd-module-K6PR166 txwd-module-K6PR200 txwd-module-CxM2PR200 txwd-module-IDT-C6
Provides: txwd-module-XXX
Summary(pl): Sprztowo zaleny modu dla narzdzia txwd - tylko Intel P54C!

%description
==============================================================================
                            >> ATTENTION!<<
* This is a very hardware dependent software. It works only with LX/TX chipsets
and LM78/75 hardware monitor module. Currently it works on ASUS TX97 mother-
boards only.

* You HAVE TO install only the one ``txwd-module-XXX'' depending on the type
(case of Intel P54C/P55C or IDT C6) or type/speed (case of AMD K5/6 or Cyrix M2)
of the processor in use!

==============================================================================

This module supports txwd tool in reading states of hardware monitor LM78/75.
It is designed for use with Intel P54C processor exclusively!

####################
%package module-P55C
Summary: Harware dependant module for txwd tool - Intel P55C only!
Exclusivearch: i386
Group: Utilities/System
Conflicts: txwd-module-P54C txwd-module-K5PR133 txwd-module-K5PR166 txwd-module-K6PR166 txwd-module-K6PR200 txwd-module-CxM2PR200 txwd-module-IDT-C6
Provides: txwd-module-XXX
Summary(pl): Sprztowo zaleny modu dla narzdzia txwd - tylko Intel P55C!

%description
==============================================================================
                            >> ATTENTION!<<
* This is a very hardware dependent software. It works only with LX/TX chipsets
and LM78/75 hardware monitor module. Currently it works on ASUS TX97 mother-
boards only.

* You HAVE TO install only the one ``txwd-module-XXX'' depending on the type
(case of Intel P54C/P55C or IDT C6) or type/speed (case of AMD K5/6 or Cyrix M2)
of the processor in use!

==============================================================================

This module supports txwd tool in reading states of hardware monitor LM78/75.
It is designed for use with Intel P55C processor exclusively!

#######################
%package module-K5PR133
Summary: Harware dependant module for txwd tool - AMD K5 PR133 only!
Exclusivearch: i386
Group: Utilities/System
Conflicts: txwd-module-P55C txwd-module-P54C txwd-module-K5PR166 txwd-module-K6PR166 txwd-module-K6PR200 txwd-module-CxM2PR200 txwd-module-IDT-C6
Provides: txwd-module-XXX
Summary(pl): Sprztowo zaleny modu dla narzdzia txwd - tylko AMD K5 PR133!

%description
==============================================================================
                            >> ATTENTION!<<
* This is a very hardware dependent software. It works only with LX/TX chipsets
and LM78/75 hardware monitor module. Currently it works on ASUS TX97 mother-
boards only.

* You HAVE TO install only the one ``txwd-module-XXX'' depending on the type
(case of Intel P54C/P55C or IDT C6) or type/speed (case of AMD K5/6 or Cyrix M2)
of the processor in use!

==============================================================================

This module supports txwd tool in reading states of hardware monitor LM78/75.
It is designed for use with AMD K5 PR133 processor exclusively!

#######################
%package module-K5PR166
Summary: Harware dependant module for txwd tool - AMD K5 PR166 only!
Exclusivearch: i386
Group: Utilities/System
Conflicts: txwd-module-P55C txwd-module-K5PR133 txwd-module-P54C txwd-module-K6PR166 txwd-module-K6PR200 txwd-module-CxM2PR200 txwd-module-IDT-C6
Provides: txwd-module-XXX
Summary(pl): Sprztowo zaleny modu dla narzdzia txwd - tylko AMD K5 PR166!

%description
==============================================================================
                            >> ATTENTION!<<
* This is a very hardware dependent software. It works only with LX/TX chipsets
and LM78/75 hardware monitor module. Currently it works on ASUS TX97 mother-
boards only.

* You HAVE TO install only the one ``txwd-module-XXX'' depending on the type
(case of Intel P54C/P55C or IDT C6) or type/speed (case of AMD K5/6 or Cyrix M2)
of the processor in use!

==============================================================================

This module supports txwd tool in reading states of hardware monitor LM78/75.
It is designed for use with AMD K5 PR166 processor exclusively!

#######################
%package module-K6PR166
Summary: Harware dependant module for txwd tool - AMD K6 PR166 only!
Exclusivearch: i386
Group: Utilities/System
Conflicts: txwd-module-P55C txwd-module-K5PR133 txwd-module-K5PR166 txwd-module-P54C txwd-module-K6PR200 txwd-module-CxM2PR200 txwd-module-IDT-C6
Provides: txwd-module-XXX
Summary(pl): Sprztowo zaleny modu dla narzdzia txwd - tylko AMD K6 PR166!

%description
==============================================================================
                            >> ATTENTION!<<
* This is a very hardware dependent software. It works only with LX/TX chipsets
and LM78/75 hardware monitor module. Currently it works on ASUS TX97 mother-
boards only.

* You HAVE TO install only the one ``txwd-module-XXX'' depending on the type
(case of Intel P54C/P55C or IDT C6) or type/speed (case of AMD K5/6 or Cyrix M2)
of the processor in use!

==============================================================================

This module supports txwd tool in reading states of hardware monitor LM78/75.
It is designed for use with AMD K6 PR166 processor exclusively!

#######################
%package module-K6PR200
Summary: Harware dependant module for txwd tool - AMD K6 PR200 only!
Exclusivearch: i386
Group: Utilities/System
Conflicts: txwd-module-P55C txwd-module-K5PR133 txwd-module-K5PR166 txwd-module-K6PR166 txwd-module-P54C txwd-module-CxM2PR200 txwd-module-IDT-C6
Provides: txwd-module-XXX
Summary(pl): Sprztowo zaleny modu dla narzdzia txwd - tylko AMD K6 PR200!

%description
==============================================================================
                            >> ATTENTION!<<
* This is a very hardware dependent software. It works only with LX/TX chipsets
and LM78/75 hardware monitor module. Currently it works on ASUS TX97 mother-
boards only.

* You HAVE TO install only the one ``txwd-module-XXX'' depending on the type
(case of Intel P54C/P55C or IDT C6) or type/speed (case of AMD K5/6 or Cyrix M2)
of the processor in use!

==============================================================================

This module supports txwd tool in reading states of hardware monitor LM78/75.
It is designed for use with AMD K6 PR200 processor exclusively!

#########################
%package module-CxM2PR200
Summary: Harware dependant module for txwd tool - Cyrix M2 PR200 only!
Exclusivearch: i386
Group: Utilities/System
Conflicts: txwd-module-P55C txwd-module-K5PR133 txwd-module-K5PR166 txwd-module-K6PR166 txwd-module-K6PR200 txwd-module-P54C txwd-module-IDT-C6
Provides: txwd-module-XXX
Summary(pl): Sprztowo zaleny modu dla narzdzia txwd - tylko Cyrix M2 PR200!

%description
==============================================================================
                            >> ATTENTION!<<
* This is a very hardware dependent software. It works only with LX/TX chipsets
and LM78/75 hardware monitor module. Currently it works on ASUS TX97 mother-
boards only.

* You HAVE TO install only the one ``txwd-module-XXX'' depending on the type
(case of Intel P54C/P55C or IDT C6) or type/speed (case of AMD K5/6 or Cyrix M2)
of the processor in use!

==============================================================================

This module supports txwd tool in reading states of hardware monitor LM78/75.
It is designed for use with Cyrix M2 PR200 processor exclusively!

######################
%package module-IDT-C6
Summary: Harware dependant module for txwd tool - IDT C6 only!
Exclusivearch: i386
Group: Utilities/System
Conflicts: txwd-module-P55C txwd-module-K5PR133 txwd-module-K5PR166 txwd-module-K6PR166 txwd-module-K6PR200 txwd-module-CxM2PR200 txwd-module-P54C
Provides: txwd-module-XXX
Summary(pl): Sprztowo zaleny modu dla narzdzia txwd - tylko IDT C6!

%description module-IDT-C6
==============================================================================
                            >> ATTENTION!<<
* This is a very hardware dependent software. It works only with LX/TX chipsets
and LM78/75 hardware monitor module. Currently it works on ASUS TX97 mother-
boards only.

* You HAVE TO install only the one ``txwd-module-XXX'' depending on the type
(case of Intel P54C/P55C or IDT C6) or type/speed (case of AMD K5/6 or Cyrix M2)
of the processor in use!

==============================================================================

This module supports txwd tool in reading states of hardware monitor LM78/75.
It is designed for use with IDT C6 processor exclusively!



################################################################################
# national descriptions for the subpkgs

%description -l pl module-P54C
==============================================================================
                               >> UWAGA!<<
* Te oprogramowanie jest bardzo zalene od rodzaju sprztu bdcego w uyciu.
  Pracuje tylko z chipsetami LX/TX i monitorem sprztowym LM78/75.
  Obecnie umoliwia wspprac tylko z pytami ASUS TX97.

* MUSISZ zainstalowa tylko jeden pakiet ``txwd-module-XXX'' w zalenoci od:
typu (w przypadku Intel P54C/P55C oraz IDT C6) lub typu/zegara (AMD K5/6 oraz
Cyrix M2) uywanego przez Ciebie procesora!

==============================================================================

Ten modu wspomaga odczyt danych z monitora sptowego LM78/75.
Jest przeznaczony tylko do wsppracy z procesorem Intel P54C!

%description -l pl module-P55C
==============================================================================
                               >> UWAGA!<<
* Te oprogramowanie jest bardzo zalene od rodzaju sprztu bdcego w uyciu.
  Pracuje tylko z chipsetami LX/TX i monitorem sprztowym LM78/75.
  Obecnie umoliwia wspprac tylko z pytami ASUS TX97.

* MUSISZ zainstalowa tylko jeden pakiet ``txwd-module-XXX'' w zalenoci od:
typu (w przypadku Intel P54C/P55C oraz IDT C6) lub typu/zegara (AMD K5/6 oraz
Cyrix M2) uywanego przez Ciebie procesora!

==============================================================================

Ten modu wspomaga odczyt danych z monitora sptowego LM78/75.
Jest przeznaczony tylko do wsppracy z procesorem Intel P55C!

%description -l pl module-K5PR133
==============================================================================
                               >> UWAGA!<<
* Te oprogramowanie jest bardzo zalene od rodzaju sprztu bdcego w uyciu.
  Pracuje tylko z chipsetami LX/TX i monitorem sprztowym LM78/75.
  Obecnie umoliwia wspprac tylko z pytami ASUS TX97.

* MUSISZ zainstalowa tylko jeden pakiet ``txwd-module-XXX'' w zalenoci od:
typu (w przypadku Intel P54C/P55C oraz IDT C6) lub typu/zegara (AMD K5/6 oraz
Cyrix M2) uywanego przez Ciebie procesora!

==============================================================================

Ten modu wspomaga odczyt danych z monitora sptowego LM78/75.
Jest przeznaczony tylko do wsppracy z procesorem AMD K5 PR133!

%description -l pl module-K5PR166
==============================================================================
                               >> UWAGA!<<
* Te oprogramowanie jest bardzo zalene od rodzaju sprztu bdcego w uyciu.
  Pracuje tylko z chipsetami LX/TX i monitorem sprztowym LM78/75.
  Obecnie umoliwia wspprac tylko z pytami ASUS TX97.

* MUSISZ zainstalowa tylko jeden pakiet ``txwd-module-XXX'' w zalenoci od:
typu (w przypadku Intel P54C/P55C oraz IDT C6) lub typu/zegara (AMD K5/6 oraz
Cyrix M2) uywanego przez Ciebie procesora!

==============================================================================

Ten modu wspomaga odczyt danych z monitora sptowego LM78/75.
Jest przeznaczony tylko do wsppracy z procesorem AMD K5 PR166!

%description -l pl module-K6PR166
==============================================================================
                               >> UWAGA!<<
* Te oprogramowanie jest bardzo zalene od rodzaju sprztu bdcego w uyciu.
  Pracuje tylko z chipsetami LX/TX i monitorem sprztowym LM78/75.
  Obecnie umoliwia wspprac tylko z pytami ASUS TX97.

* MUSISZ zainstalowa tylko jeden pakiet ``txwd-module-XXX'' w zalenoci od:
typu (w przypadku Intel P54C/P55C oraz IDT C6) lub typu/zegara (AMD K5/6 oraz
Cyrix M2) uywanego przez Ciebie procesora!

==============================================================================

Ten modu wspomaga odczyt danych z monitora sptowego LM78/75.
Jest przeznaczony tylko do wsppracy z procesorem AMD K6 PR166!

%description -l pl module-K6PR200
==============================================================================
                               >> UWAGA!<<
* Te oprogramowanie jest bardzo zalene od rodzaju sprztu bdcego w uyciu.
  Pracuje tylko z chipsetami LX/TX i monitorem sprztowym LM78/75.
  Obecnie umoliwia wspprac tylko z pytami ASUS TX97.

* MUSISZ zainstalowa tylko jeden pakiet ``txwd-module-XXX'' w zalenoci od:
typu (w przypadku Intel P54C/P55C oraz IDT C6) lub typu/zegara (AMD K5/6 oraz
Cyrix M2) uywanego przez Ciebie procesora!

==============================================================================

Ten modu wspomaga odczyt danych z monitora sptowego LM78/75.
Jest przeznaczony tylko do wsppracy z procesorem AMD K6 PR200!

%description -l pl module-CxM2PR200
==============================================================================
                               >> UWAGA!<<
* Te oprogramowanie jest bardzo zalene od rodzaju sprztu bdcego w uyciu.
  Pracuje tylko z chipsetami LX/TX i monitorem sprztowym LM78/75.
  Obecnie umoliwia wspprac tylko z pytami ASUS TX97.

* MUSISZ zainstalowa tylko jeden pakiet ``txwd-module-XXX'' w zalenoci od:
typu (w przypadku Intel P54C/P55C oraz IDT C6) lub typu/zegara (AMD K5/6 oraz
Cyrix M2) uywanego przez Ciebie procesora!

==============================================================================

Ten modu wspomaga odczyt danych z monitora sptowego LM78/75.
Jest przeznaczony tylko do wsppracy z procesorem Cyrix M2 PR200!

%description -l pl module-IDT-C6
==============================================================================
                               >> UWAGA!<<
* Te oprogramowanie jest bardzo zalene od rodzaju sprztu bdcego w uyciu.
  Pracuje tylko z chipsetami LX/TX i monitorem sprztowym LM78/75.
  Obecnie umoliwia wspprac tylko z pytami ASUS TX97.

* MUSISZ zainstalowa tylko jeden pakiet ``txwd-module-XXX'' w zalenoci od:
typu (w przypadku Intel P54C/P55C oraz IDT C6) lub typu/zegara (AMD K5/6 oraz
Cyrix M2) uywanego przez Ciebie procesora!

==============================================================================

Ten modu wspomaga odczyt danych z monitora sptowego LM78/75.
Jest przeznaczony tylko do wsppracy z procesorem IDT C6!



################################################################################
# preparation stage. We are install the sources in dir under the ``txwd'' name
%prep
%setup -n txwd


################################################################################
# build stage
# - We define names of bins to be separated from main package
# - Proceed with several separated builds, each one with different
#   parameters. Product of this builds is copied to subdir modules with
#   names suffixed with the processor type name.
# - At the end we do another build of txctrl and txwdd bins (no matters what
#   build params are). We do not copy 'em anywhere.

%build
SEPARATED_NAMES='txmod.o txwd xptemp'
mkdir modules

# Build for Intel P54C
echo "Building for Intel P54C:"
make PROCESSOR_OFFSET=32 PROCESSOR_MIN=52 PROCESSOR_MAX=45 \
	LANGUAGE=english KERNEL_VERSION=%{KERNEL_VERSION} \
	USE_EDITRES=-DUSE_EDITRES USE_MODVERSIONS=Yes 

PKG_TYPE=P54C
    for i in $SEPARATED_NAMES ; do
        cp $i modules/$i.$PKG_TYPE ;
    done
make clean

# Build for Intel P55C
echo "Building for Intel P55C:"
make PROCESSOR_OFFSET=22 PROCESSOR_MIN=65 PROCESSOR_MAX=55 \
	LANGUAGE=english KERNEL_VERSION=%{KERNEL_VERSION} \
	USE_EDITRES=-DUSE_EDITRES USE_MODVERSIONS=Yes 

PKG_TYPE=P55C
    for i in $SEPARATED_NAMES ; do
        cp $i modules/$i.$PKG_TYPE ;
    done
make clean

# Build for AMD K5 PR133
echo "Building for AMD K5 PR133:"
make PROCESSOR_OFFSET=8 PROCESSOR_MIN=67 PROCESSOR_MAX=58 \
	LANGUAGE=english KERNEL_VERSION=%{KERNEL_VERSION} \
	USE_EDITRES=-DUSE_EDITRES USE_MODVERSIONS=Yes 

PKG_TYPE=K5PR133
    for i in $SEPARATED_NAMES ; do
        cp $i modules/$i.$PKG_TYPE ;
    done
make clean

# Build for AMD K5 PR166
echo "Building for AMD K5 PR166:"
make PROCESSOR_OFFSET=17 PROCESSOR_MIN=52 PROCESSOR_MAX=47 \
	LANGUAGE=english KERNEL_VERSION=%{KERNEL_VERSION} \
	USE_EDITRES=-DUSE_EDITRES USE_MODVERSIONS=Yes 

PKG_TYPE=K5PR166
    for i in $SEPARATED_NAMES ; do
        cp $i modules/$i.$PKG_TYPE ;
    done
make clean

# Build for AMD K6 PR166 and PR200
echo "Building for AMD K6 PR166 and PR200:"
make PROCESSOR_OFFSET=7 PROCESSOR_MIN=70 PROCESSOR_MAX=54 \
	LANGUAGE=english KERNEL_VERSION=%{KERNEL_VERSION} \
	USE_EDITRES=-DUSE_EDITRES USE_MODVERSIONS=Yes 

PKG_TYPE=K6PR166
    for i in $SEPARATED_NAMES ; do
        cp $i modules/$i.$PKG_TYPE ;
    done

PKG_TYPE=K6PR200
    for i in $SEPARATED_NAMES ; do
        cp $i modules/$i.$PKG_TYPE ;
    done
make clean

# Build for Cyrix M2 PR200
echo "Building for Cyrix M2 PR200:"
make PROCESSOR_OFFSET=15 PROCESSOR_MIN=68 PROCESSOR_MAX=58 \
	LANGUAGE=english KERNEL_VERSION=%{KERNEL_VERSION} \
	USE_EDITRES=-DUSE_EDITRES USE_MODVERSIONS=Yes 

PKG_TYPE=CxM2PR200
    for i in $SEPARATED_NAMES ; do
        cp $i modules/$i.$PKG_TYPE ;
    done
make clean

# Build for IDT C6
echo "Building for IDT C6:"
make PROCESSOR_OFFSET=20 PROCESSOR_MIN=60 PROCESSOR_MAX=50 \
	LANGUAGE=english KERNEL_VERSION=%{KERNEL_VERSION} \
	USE_EDITRES=-DUSE_EDITRES USE_MODVERSIONS=Yes 

PKG_TYPE=IDT-C6
    for i in $SEPARATED_NAMES ; do
        cp $i modules/$i.$PKG_TYPE ;
    done
make clean

echo "Building txctrl and txwdd:"
make txctrl txwdd PROCESSOR_OFFSET=32 PROCESSOR_MIN=52 PROCESSOR_MAX=45 \
	LANGUAGE=english KERNEL_VERSION=%{KERNEL_VERSION} \
	USE_EDITRES=-DUSE_EDITRES USE_MODVERSIONS=Yes


################################################################################
# install stage
# - we create skel-files with complete paths to the bins to be installed
#   in separated subpkgs.
# - create dirs and device file in the installation tree under
#   RPM_BUILD_ROOT defined at the start of this script.
# - install all the files under their actual names.
 
%install
echo "/lib/modules/tx97/txmod.o.P54C" > tx-module-P54C.skel
echo "/usr/sbin/txwd.P54C" >> tx-module-P54C.skel
echo "/usr/X11R6/bin/xptemp.P54C" >> tx-module-P54C.skel
echo "/lib/modules/tx97/txmod.o.P55C" > tx-module-P55C.skel
echo "/usr/sbin/txwd.P55C" >> tx-module-P55C.skel
echo "/usr/X11R6/bin/xptemp.P55C" >> tx-module-P55C.skel
echo "/lib/modules/tx97/txmod.o.K5PR133" > tx-module-K5PR133.skel
echo "/usr/sbin/txwd.K5PR133" >> tx-module-K5PR133.skel
echo "/usr/X11R6/bin/xptemp.K5PR133" >> tx-module-K5PR133.skel
echo "/lib/modules/tx97/txmod.o.K5PR166" > tx-module-K5PR166.skel
echo "/usr/sbin/txwd.K5PR166" >> tx-module-K5PR166.skel
echo "/usr/X11R6/bin/xptemp.K5PR166" >> tx-module-K5PR166.skel
echo "/lib/modules/tx97/txmod.o.K6PR166" > tx-module-K6PR166.skel
echo "/usr/sbin/txwd.K6PR166" >> tx-module-K6PR166.skel
echo "/usr/X11R6/bin/xptemp.K6PR166" >> tx-module-K6PR166.skel
echo "/lib/modules/tx97/txmod.o.K6PR200" > tx-module-K6PR200.skel
echo "/usr/sbin/txwd.K6PR200" >> tx-module-K6PR200.skel
echo "/usr/X11R6/bin/xptemp.K6PR200" >> tx-module-K6PR200.skel
echo "/lib/modules/tx97/txmod.o.CxM2PR200" > tx-module-CxM2PR200.skel
echo "/usr/sbin/txwd.CxM2PR200" >> tx-module-CxM2PR200.skel
echo "/usr/X11R6/bin/xptemp.CxM2PR200" >> tx-module-CxM2PR200.skel
echo "/lib/modules/tx97/txmod.o.IDT-C6" > tx-module-IDT-C6.skel
echo "/usr/sbin/txwd.IDT-C6" >> tx-module-IDT-C6.skel
echo "/usr/X11R6/bin/xptemp.IDT-C6" >> tx-module-IDT-C6.skel

rm -rf $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT
mkdir $RPM_BUILD_ROOT/dev
mkdir $RPM_BUILD_ROOT/etc
mkdir $RPM_BUILD_ROOT/etc/rc.d
mkdir $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir $RPM_BUILD_ROOT/lib
mkdir $RPM_BUILD_ROOT/lib/modules
mkdir $RPM_BUILD_ROOT/lib/modules/%{KERNEL_VERSION}
mkdir $RPM_BUILD_ROOT/lib/modules/%{KERNEL_VERSION}/misc
mkdir $RPM_BUILD_ROOT/lib/modules/tx97

mkdir $RPM_BUILD_ROOT/usr
mkdir $RPM_BUILD_ROOT/usr/sbin

mkdir $RPM_BUILD_ROOT/usr/X11R6
mkdir $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir $RPM_BUILD_ROOT/usr/X11R6/lib
mkdir $RPM_BUILD_ROOT/usr/X11R6/lib/X11
mkdir $RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults

mkdir $RPM_BUILD_ROOT/usr/man
mkdir $RPM_BUILD_ROOT/usr/man/man8

mknod -m 600 $RPM_BUILD_ROOT/dev/tx97_dmi c 10 131

install -g root -o root -m 700 $RPM_SOURCE_DIR/txwdd.init \
			       $RPM_BUILD_ROOT/etc/rc.d/init.d/txwdd

ALL_MODULES="txmod.o.P54C txmod.o.P55C txmod.o.K5PR133 txmod.o.K5PR166 \
	txmod.o.K6PR166 txmod.o.K6PR200 txmod.o.CxM2PR200 txmod.o.IDT-C6"

	for i in $ALL_MODULES; do
		install -g root -o root -m 644 modules/$i    \
			$RPM_BUILD_ROOT/lib/modules/tx97;
	done

install -g bin  -o root -m 500 txctrl        $RPM_BUILD_ROOT/usr/sbin
install -g bin  -o root -m 500 txwdd         $RPM_BUILD_ROOT/usr/sbin
install -g bin  -o root -m 500 modules/txwd.*          $RPM_BUILD_ROOT/usr/sbin
install -g bin  -o bin  -m 555 modules/xptemp.* \
		$RPM_BUILD_ROOT/usr/X11R6/bin

install -g root  -o root  -m 444 XPTemp.ad \
		$RPM_BUILD_ROOT/usr/X11R6/lib/X11/app-defaults/XPTemp

install -g root  -o root  -m 444 txwdd.man \
		$RPM_BUILD_ROOT/usr/man/man8/txwdd.8

install -g root  -o root  -m 444 txctrl.man \
		$RPM_BUILD_ROOT/usr/man/man8/txctrl.8


################################################################################
# post and preun stages:
#
# post installation stage - this stage is completed after the installation
#                           of the given package.
# - we make soft links to the hardware dependant bins from the subpkgs to
#   provide the ``real'' name of the bin, not the ``installation-name''.
# - we remake module dependencies
#
# preuninstallation stage - this stage is completed just before the real
#                           pkg is uninstalled.
# - we remove any link made of us and remake kernel modules deps to restore
#   the preun state

%post module-P54C

if [ -f /lib/modules/tx97/txmod.o.P54C ] ; then
	ln -s /lib/modules/tx97/txmod.o.P54C \
	/lib/modules/`uname -r`/misc/txmod.o
fi

if [ -x /sbin/depmod ] ; then
	/sbin/depmod -a
fi

if [ -f /usr/sbin/txwd.P54C ] ; then
	ln -s /usr/sbin/txwd.P54C \
	/usr/sbin/txwd
fi

if [ -f /usr/X11R6/bin/xptemp.P54C ] ; then
	ln -s /usr/X11R6/bin/xptemp.P54C \
	/usr/X11R6/bin/xptemp
fi

%preun module-P54C 
if [ -L /lib/modules/`uname -r`/misc/txmod.o ] ; then
		rm -f /lib/modules/`uname -r`/misc/txmod.o
fi

if [ -x /sbin/depmod ] ; then
	/sbin/depmod -a
fi

if [ -L /usr/sbin/txwd ] ; then
		rm -f /usr/sbin/txwd
fi

if [ -L /usr/X11R6/bin/xptemp ] ; then
		rm -f /usr/X11R6/bin/xptemp
fi

####################
%post module-P55C

if [ -f /lib/modules/tx97/txmod.o.P55C ] ; then
	ln -s /lib/modules/tx97/txmod.o.P55C \
	/lib/modules/`uname -r`/misc/txmod.o
fi

if [ -x /sbin/depmod ] ; then
	/sbin/depmod -a
fi

if [ -f /usr/sbin/txwd.P55C ] ; then
	ln -s /usr/sbin/txwd.P55C \
	/usr/sbin/txwd
fi

if [ -f /usr/X11R6/bin/xptemp.P55C ] ; then
	ln -s /usr/X11R6/bin/xptemp.P55C \
	/usr/X11R6/bin/xptemp
fi


%preun module-P55C 
if [ -L /lib/modules/`uname -r`/misc/txmod.o ] ; then
		rm -f /lib/modules/`uname -r`/misc/txmod.o
fi

if [ -x /sbin/depmod ] ; then
	/sbin/depmod -a
fi

if [ -L /usr/sbin/txwd ] ; then
		rm -f /usr/sbin/txwd
fi

if [ -L /usr/X11R6/bin/xptemp ] ; then
		rm -f /usr/X11R6/bin/xptemp
fi

#######################
%post module-K5PR133

if [ -f /lib/modules/tx97/txmod.o.K5PR133 ] ; then
	ln -s /lib/modules/tx97/txmod.o.K5PR133 \
	/lib/modules/`uname -r`/misc/txmod.o
fi

if [ -x /sbin/depmod ] ; then
	/sbin/depmod -a
fi

if [ -f /usr/sbin/txwd.K5PR133 ] ; then
	ln -s /usr/sbin/txwd.K5PR133 \
	/usr/sbin/txwd
fi

if [ -f /usr/X11R6/bin/xptemp.K5PR133 ] ; then
	ln -s /usr/X11R6/bin/xptemp.K5PR133 \
	/usr/X11R6/bin/xptemp
fi


%preun module-K5PR133 
if [ -L /lib/modules/`uname -r`/misc/txmod.o ] ; then
		rm -f /lib/modules/`uname -r`/misc/txmod.o
fi

if [ -x /sbin/depmod ] ; then
	/sbin/depmod -a
fi

if [ -L /usr/sbin/txwd ] ; then
		rm -f /usr/sbin/txwd
fi

if [ -L /usr/X11R6/bin/xptemp ] ; then
		rm -f /usr/X11R6/bin/xptemp
fi

#######################
%post module-K5PR166

if [ -f /lib/modules/tx97/txmod.o.K5PR166 ] ; then
	ln -s /lib/modules/tx97/txmod.o.K5PR166 \
	/lib/modules/`uname -r`/misc/txmod.o
fi

if [ -x /sbin/depmod ] ; then
	/sbin/depmod -a
fi

if [ -f /usr/sbin/txwd.K5PR166 ] ; then
	ln -s /usr/sbin/txwd.K5PR166 \
	/usr/sbin/txwd
fi

if [ -f /usr/X11R6/bin/xptemp.K5PR166 ] ; then
	ln -s /usr/X11R6/bin/xptemp.K5PR166 \
	/usr/X11R6/bin/xptemp
fi


%preun module-K5PR166 
if [ -L /lib/modules/`uname -r`/misc/txmod.o ] ; then
		rm -f /lib/modules/`uname -r`/misc/txmod.o
fi

if [ -x /sbin/depmod ] ; then
	/sbin/depmod -a
fi

if [ -L /usr/sbin/txwd ] ; then
		rm -f /usr/sbin/txwd
fi

if [ -L /usr/X11R6/bin/xptemp ] ; then
		rm -f /usr/X11R6/bin/xptemp
fi

#######################
%post module-K6PR166

if [ -f /lib/modules/tx97/txmod.o.K6PR166 ] ; then
	ln -s /lib/modules/tx97/txmod.o.K6PR166 \
	/lib/modules/`uname -r`/misc/txmod.o
fi

if [ -x /sbin/depmod ] ; then
	/sbin/depmod -a
fi

if [ -f /usr/sbin/txwd.K6PR166 ] ; then
	ln -s /usr/sbin/txwd.K6PR166 \
	/usr/sbin/txwd
fi

if [ -f /usr/X11R6/bin/xptemp.K6PR166 ] ; then
	ln -s /usr/X11R6/bin/xptemp.K6PR166 \
	/usr/X11R6/bin/xptemp
fi


%preun module-K6PR166 
if [ -L /lib/modules/`uname -r`/misc/txmod.o ] ; then
		rm -f /lib/modules/`uname -r`/misc/txmod.o
fi

if [ -x /sbin/depmod ] ; then
	/sbin/depmod -a
fi

if [ -L /usr/sbin/txwd ] ; then
		rm -f /usr/sbin/txwd
fi

if [ -L /usr/X11R6/bin/xptemp ] ; then
		rm -f /usr/X11R6/bin/xptemp
fi

#######################
%post module-K6PR200

if [ -f /lib/modules/tx97/txmod.o.K6PR200 ] ; then
	ln -s /lib/modules/tx97/txmod.o.K6PR200 \
	/lib/modules/`uname -r`/misc/txmod.o
fi

if [ -x /sbin/depmod ] ; then
	/sbin/depmod -a
fi

if [ -f /usr/sbin/txwd.K6PR200 ] ; then
	ln -s /usr/sbin/txwd.K6PR200 \
	/usr/sbin/txwd
fi

if [ -f /usr/X11R6/bin/xptemp.K6PR200 ] ; then
	ln -s /usr/X11R6/bin/xptemp.K6PR200 \
	/usr/X11R6/bin/xptemp
fi


%preun module-K6PR200 
if [ -L /lib/modules/`uname -r`/misc/txmod.o ] ; then
		rm -f /lib/modules/`uname -r`/misc/txmod.o
fi

if [ -x /sbin/depmod ] ; then
	/sbin/depmod -a
fi

if [ -L /usr/sbin/txwd ] ; then
		rm -f /usr/sbin/txwd
fi

if [ -L /usr/X11R6/bin/xptemp ] ; then
		rm -f /usr/X11R6/bin/xptemp
fi

#########################
%post module-CxM2PR200

if [ -f /lib/modules/tx97/txmod.o.CxM2PR200 ] ; then
	ln -s /lib/modules/tx97/txmod.o.CxM2PR200 \
	/lib/modules/`uname -r`/misc/txmod.o
fi

if [ -x /sbin/depmod ] ; then
	/sbin/depmod -a
fi

if [ -f /usr/sbin/txwd.CxM2PR200 ] ; then
	ln -s /usr/sbin/txwd.CxM2PR200 \
	/usr/sbin/txwd
fi

if [ -f /usr/X11R6/bin/xptemp.CxM2PR200 ] ; then
	ln -s /usr/X11R6/bin/xptemp.CxM2PR200 \
	/usr/X11R6/bin/xptemp
fi


%preun module-CxM2PR200 
if [ -L /lib/modules/`uname -r`/misc/txmod.o ] ; then
		rm -f /lib/modules/`uname -r`/misc/txmod.o
fi

if [ -x /sbin/depmod ] ; then
	/sbin/depmod -a
fi

if [ -L /usr/sbin/txwd ] ; then
		rm -f /usr/sbin/txwd
fi

if [ -L /usr/X11R6/bin/xptemp ] ; then
		rm -f /usr/X11R6/bin/xptemp
fi

######################
%post module-IDT-C6

if [ -f /lib/modules/tx97/txmod.o.IDT-C6 ] ; then
	ln -s /lib/modules/tx97/txmod.o.IDT-C6 \
	/lib/modules/`uname -r`/misc/txmod.o
fi

if [ -x /sbin/depmod ] ; then
	/sbin/depmod -a
fi

if [ -f /usr/sbin/txwd.IDT-C6 ] ; then
	ln -s /usr/sbin/txwd.IDT-C6 \
	/usr/sbin/txwd
fi

if [ -f /usr/X11R6/bin/xptemp.IDT-C6 ] ; then
	ln -s /usr/X11R6/bin/xptemp.IDT-C6 \
	/usr/X11R6/bin/xptemp
fi


%preun module-IDT-C6 
if [ -L /lib/modules/`uname -r`/misc/txmod.o ] ; then
		rm -f /lib/modules/`uname -r`/misc/txmod.o
fi

if [ -x /sbin/depmod ] ; then
	/sbin/depmod -a
fi

if [ -L /usr/sbin/txwd ] ; then
		rm -f /usr/sbin/txwd
fi

if [ -L /usr/X11R6/bin/xptemp ] ; then
		rm -f /usr/X11R6/bin/xptemp
fi


################################################################################
# the definitions of what files belong to the packages
%files
%attr(-, root, root) %doc FAQ.german CHANGES.german README.german TODO.german
%attr(600, root, root) /dev/tx97_dmi
%attr(700, root, root) /etc/rc.d/init.d/txwdd
%attr(500, root, root) /usr/sbin/txctrl
%attr(500, root, root) /usr/sbin/txwdd
%config %attr(444, root, root) /usr/X11R6/lib/X11/app-defaults/XPTemp
%attr(444, root, root) /usr/man/man8/txwdd.8
%attr(444, root, root) /usr/man/man8/txctrl.8

%files module-P54C -f tx-module-P54C.skel
%files module-P55C -f tx-module-P55C.skel
%files module-K5PR133 -f tx-module-K5PR133.skel
%files module-K5PR166 -f tx-module-K5PR166.skel
%files module-K6PR166 -f tx-module-K6PR166.skel
%files module-K6PR200 -f tx-module-K6PR200.skel
%files module-CxM2PR200 -f tx-module-CxM2PR200.skel
%files module-IDT-C6 -f tx-module-IDT-C6.skel



################################################################################
# the cleaning of the temporary RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT



################################################################################
# No comments...

%changelog
*  Mon Sep 7 1998 Marcin Woyniak <marcin@heban.com.pl>    (0.0.6-5rh5)
-  Minor bug fix in spec script. It makes the txwd-module-P54C contains
   the full scope of other modules instead the P54C one only.
*  Sun Sep 6 1998 Marcin Woyniak <marcin@heban.com.pl>    (0.0.6-4rh5)

- changed numbering of releases - added ``rh<number>'' to indicate
  separate releases compiled against glibc2 and libc5 accordingly.
- package is divided further. There are only txctrl, txwdd, man pages
  and docs in ``txwd'' package. The rest of binaries is compiled and packaged
  separately for the given type of processor. The main pckg requires the
  virtual package named ``txwd-module-XXX'' to ensure that it is not being
  used alone (rather installed and being unusable in this state).

* Mon Aug 31 1998 Marcin Woyniak <marcin@heban.com.pl>    (0.0.6-3)

- complete rebuild of a package and rewrite of the spec script.
- removed patch to configure Makefile. It is done from cmdline now.
- removed xptemp script. (no comments)
- added initscript for txwdd daemon.
- package divided into:
  - main pckg containing txctrl, txwdd, xptemp, man pages and docs;
  - several subpackages containing module txmod - each in version for
    supported CPU.
- rewrite of Summary field; added Vendor, URL, Exclusivearch, Conflicts,
  Requires; updated Source.
- introduced language support of rpm > 2.5, translations for (pl).
- updated and added %post and %preun routines to reflect of division
  of the package.

* Sun Aug 30 1998 Marcin Woyniak <marcin@heban.com.pl>    (0.0.6-2)

- added start script for xptemp in order to load/unload the txwdd daemon
  and txmod module on demand. (actually disabled)

* Sun Aug 30 1998 Marcin Woyniak <marcin@heban.com.pl>    (0.0.6-1)

- compiled against glibc. Very first version of package.
